$ sv = 'f$verify(0)'
$! This procedure reads SSL_LOCATION.MMS and defines the logicals SSLLIB
$! and SSLINC according to the definitions.
$!
$ open/read slm ssl_location.mms/error=open_fail
$ on error then goto cleanup
$ on control_y then goto cleanup
$!
$! Read each line and convert lines of form 'symbol = value' to logical
$! names.
$!
$ next_line:
$    read slm line /end=nomore_lines
$    line = f$edit(line,"TRIM,COMPRESS")
$    if f$extract(0,1,line) .eqs. "!" then goto next_line	! comment
$    if f$element(1," ",line) .nes. "=" then goto next_line     ! not assignment
$    value = f$element(2," ",line)
$    if value .eqs. " " then goto next_line
$    define 'f$element(0," ",line)' "''value'"
$    goto next_line
$ nomore_lines:
$!
$! Check for presence of ssllib and sslinc logicals and warn if not defined.
$!
$ if f$trnlnm("SSLLIB") .eqs. "" .or. f$trnlnm("SSLINC") .eqs. "" then -
    write sys$output "Warning: ssl_location.mms did not define SSLLIB and/or SSLINC."
$!
$ cleanup:
$ close slm
$ exit 'f$verify(sv)'1
$!
$ open_fail:
$    fail_status = $status
$    sv = f$verify(sv)
$    exit 'fail_status'
